Exponential Basic 2.4.0.1 Exponential Basic CMS — PHP Class Reference

section.php
Go to the documentation of this file.
1 <?php
3 //
4 // $Id: section.php 6229 2001-07-20 11:26:45Z jakobn $
5 //
6 // Created on: <23-Oct-2000 17:53:46 bf>
7 //
8 // This source file is part of Exponential Basic, publishing software.
9 //
10 // Copyright (C) 1999-2001 eZ Systems. All rights reserved.
11 //
12 // This program is free software; you can redistribute it and/or
13 // modify it under the terms of the GNU General Public License
14 // as published by the Free Software Foundation; either version 2
15 // of the License, or (at your option) any later version.
16 //
17 // This program is distributed in the hope that it will be useful,
18 // but WITHOUT ANY WARRANTY; without even the implied warranty of
19 // MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
20 // GNU General Public License for more details.
21 //
22 // You should have received a copy of the GNU General Public License
23 // along with this program; if not, write to the Free Software
24 // Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, US
25 //
26
27 // include_once( "ezsitemanager/classes/ezsection.php" );
28 // include_once( "ezxmlrpc/classes/ezxmlrpcstruct.php" );
29 // include_once( "ezxmlrpc/classes/ezxmlrpcint.php" );
30 // include_once( "ezxmlrpc/classes/ezxmlrpcstring.php" );
31
32 if( $Command == "list" ) // Return a list of users and their ID's
33 {
34 $sectionList = eZSection::getAll();
35 $sections = array();
36
37 foreach( $sectionList as $section )
38 {
39 $sections[] = new eZXMLRPCStruct(
40 array( "URL" => createURLStruct( "ezsitemanager", "section", $section->id() ),
41 "Name" => new eZXMLRPCString( $section->name( false ) )
42 )
43 );
44 }
45 $ReturnData = new eZXMLRPCStruct( array( "Catalogues" => new eZXMLRPCArray(),
46 "Elements" => $sections,
47 "Path" => new eZXMLRPCArray() ) ); // array starting with top level catalogue, ending with parent.
48
49 }
50
51 ?>
eZSection\getAll
static getAll( $offset=0, $limit=40)
Definition: ezsection.php:177
eZXMLRPCArray
Definition: ezxmlrpcarray.php:37
eZXMLRPCString
Definition: ezxmlrpcstring.php:37
eZXMLRPCStruct
Definition: ezxmlrpcstruct.php:37
$sections
$sections
Definition: classes/admin/linklist.php:227
$sectionList
foreach( $groupList as $groupItem) $sectionList
Definition: ezarticle/admin/categoryedit.php:615
$section
$section
Definition: ezimagecatalogue/user/categoryedit.php:393
$ReturnData
$ReturnData
Definition: tag.php:48
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.